// IHudServiceCallback.aidl
package com.six15.hudservice;

// Declare any non-default types here with import statements
import com.six15.hudservice.ImageFrame;
import com.six15.hudservice.ByteFrame;

interface IHudServiceCallback {
    oneway void onCamera(in byte cmd, in String jsonText);
    oneway void onAudio(in byte cmd, in String jsonText);
    oneway void onPing(in byte cmd, in String jsonText);
    oneway void onInfo(in byte cmd, in String jsonText);
    oneway void onDisplay(in byte cmd, in String jsonText);
    oneway void onSettings(in byte cmd, in String jsonText);
    oneway void onImuData(in byte cmd, in String jsonText);
    oneway void onData(in byte cmd, in String jsonText);
    oneway void onImage(in ImageFrame imageFrame);
    void onJpeg(in ByteFrame byteFrame);
    oneway void onDebugTerminal(in byte cmd, in String jsonText);
    oneway void onConnected(in boolean connected);
    oneway void onHudOperationModeChanged(in byte mode);
}
