package com.six15.hudservice;

import androidx.annotation.Keep;
import androidx.annotation.NonNull;

import com.google.gson.annotations.Expose;
import com.google.gson.annotations.SerializedName;

import java.util.Arrays;

@Keep
public class ImuCal {
    private static final String TAG = "[Six15]ImuCal";

    @Expose
    @SerializedName("m_bias[0]")
    private float m_bias_0 = 0;

    @Expose
    @SerializedName("m_bias[1]")
    private float m_bias_1 = 0;

    @Expose
    @SerializedName("m_bias[2]")
    private float m_bias_2 = 0;

    public float[] getMBias() {
        return new float[]{m_bias_0, m_bias_1, m_bias_2};
    }

    @NonNull
    @Override
    public String toString() {
        return "ImuCal{" +
                "m_bias=" + Arrays.toString(getMBias()) +
                "}";
    }
}